OCC.Core.BRepFeat module

BRepFeat module, see official documentation at https://www.opencascade.com/doc/occt-7.4.0/refman/html/package_brepfeat.html

class BRepFeat_Builder(*args)

Bases: OCC.Core.BOPAlgo.BOPAlgo_BOP

Return type

None

CheckSolidImages()
  • Collects the images of the object, that contains in the images of the tool.
    rtype

    None

FillRemoved()
  • Collects the removed parts of the tool into myRemoved map.
    rtype

    None* Adds the shape S and its sub-shapes into myRemoved map.

    param theS

    type theS

    TopoDS_Shape

    param theM

    type theM

    TopTools_MapOfShape

    rtype

    None

Init()
  • Initialyzes the object of local boolean operation.
    param theShape

    type theShape

    TopoDS_Shape

    rtype

    None* Initialyzes the arguments of local boolean operation.

    param theShape

    type theShape

    TopoDS_Shape

    param theTool

    type theTool

    TopoDS_Shape

    rtype

    None

KeepPart()
  • Adds shape theS and all its sub-shapes into myShapes map.
    param theS

    type theS

    TopoDS_Shape

    rtype

    None

KeepParts()
  • Initialyzes parts of the tool for second step of algorithm. Collects shapes and all sub-shapes into myShapes map.
    param theIm

    type theIm

    TopTools_ListOfShape

    rtype

    None

PartsOfTool()
  • Collects parts of the tool.
    param theLT

    type theLT

    TopTools_ListOfShape

    rtype

    None

PerformResult()
  • Main function to build the result of the local operation required.
    rtype

    None

RebuildEdge()
  • Rebuilds edges in accordance with the kept parts of the tool.
    param theE

    type theE

    TopoDS_Shape

    param theF

    type theF

    TopoDS_Face

    param theME

    type theME

    TopTools_MapOfShape

    param aLEIm

    type aLEIm

    TopTools_ListOfShape

    rtype

    None

RebuildFaces()
  • Rebuilds faces in accordance with the kept parts of the tool.
    rtype

    None

SetOperation()
  • Sets the operation of local boolean operation. If theFuse = 0 than the operation is CUT, otherwise FUSE.
    param theFuse

    type theFuse

    int

    rtype

    None* Sets the operation of local boolean operation. If theFlag = True it means that no selection of parts of the tool is needed, t.e. no second part. In that case if theFuse = 0 than operation is COMMON, otherwise CUT21. If theFlag = False SetOperation(theFuse) function is called.

    param theFuse

    type theFuse

    int

    param theFlag

    type theFlag

    bool

    rtype

    None

property thisown

The membership flag

class BRepFeat_Form(*args, **kwargs)

Bases: OCC.Core.BRepBuilderAPI.BRepBuilderAPI_MakeShape

BarycCurve()
Return type

opencascade::handle<Geom_Curve>

BasisShapeValid()
  • Initializes the topological construction if the basis shape is present.
    rtype

    None

CurrentStatusError()
Return type

BRepFeat_StatusError

Curves()
Parameters

S

type S

TColGeom_SequenceOfCurve

rtype

void

FirstShape()
  • Returns the list of shapes created at the bottom of the created form. It may be an empty list.
    rtype

    TopTools_ListOfShape

GeneratedShapeValid()
  • Initializes the topological construction if the generated shape S is present.
    rtype

    None

GluedFacesValid()
  • Initializes the topological construction if the glued face is present.
    rtype

    None

LastShape()
  • Returns the list of shapes created at the top of the created form. It may be an empty list.
    rtype

    TopTools_ListOfShape

NewEdges()
  • Returns a list of the limiting and glueing edges generated by the feature. These edges did not originally exist in the basis shape. The list provides the information necessary for subsequent addition of fillets. It may be an empty list.
    rtype

    TopTools_ListOfShape

PerfSelectionValid()
  • Initializes the topological construction if the selected face is present.
    rtype

    None

ShapeFromValid()
  • Initializes the topological construction if the shape is present from the specified integer on.
    rtype

    None

ShapeUntilValid()
  • Initializes the topological construction if the shape is present until the specified integer.
    rtype

    None

SketchFaceValid()
  • Initializes the topological construction if the sketch face is present. If the sketch face is inside the basis shape, local operations such as glueing can be performed.
    rtype

    None

TgtEdges()
  • Returns a list of the tangent edges among the limiting and glueing edges generated by the feature. These edges did not originally exist in the basis shape and are tangent to the face against which the feature is built. The list provides the information necessary for subsequent addition of fillets. It may be an empty list. If an edge is tangent, no fillet is possible, and the edge must subsequently be removed if you want to add a fillet.
    rtype

    TopTools_ListOfShape

property thisown

The membership flag

class BRepFeat_Gluer(*args)

Bases: OCC.Core.BRepBuilderAPI.BRepBuilderAPI_MakeShape

  • Initializes an empty constructor
    rtype

    None* Initializes the shapes to be glued, the new shape Snew and the basis shape Sbase.

    param Snew

    type Snew

    TopoDS_Shape

    param Sbase

    type Sbase

    TopoDS_Shape

    rtype

    None

BasisShape()
  • Returns the basis shape of the compound shape.
    rtype

    TopoDS_Shape

Bind()
  • Defines a contact between Fnew on the new shape Snew and Fbase on the basis shape Sbase. Informs other methods that Fnew in the new shape Snew is connected to the face Fbase in the basis shape Sbase. The contact faces of the glued shape must not have parts outside the contact faces of the basis shape. This indicates that glueing is possible.
    param Fnew

    type Fnew

    TopoDS_Face

    param Fbase

    type Fbase

    TopoDS_Face

    rtype

    None* nforms other methods that the edge Enew in the new shape is the same as the edge Ebase in the basis shape and is therefore attached to the basis shape. This indicates that glueing is possible.

    param Enew

    type Enew

    TopoDS_Edge

    param Ebase

    type Ebase

    TopoDS_Edge

    rtype

    None

GluedShape()
  • Returns the resulting compound shape.
    rtype

    TopoDS_Shape

Init()
  • Initializes the new shape Snew and the basis shape Sbase for the local glueing operation.
    param Snew

    type Snew

    TopoDS_Shape

    param Sbase

    type Sbase

    TopoDS_Shape

    rtype

    None

OpeType()
  • Determine which operation type to use glueing or sliding.
    rtype

    LocOpe_Operation

property thisown

The membership flag

class BRepFeat_MakeCylindricalHole(*args)

Bases: OCC.Core.BRepFeat.BRepFeat_Builder

  • Empty constructor.
    rtype

    None

Build()
  • Builds the resulting shape (redefined from MakeShape). Invalidates the given parts of tools if any, and performs the result of the local operation.
    rtype

    None

Init()
  • Sets the axis of the hole(s).
    param Axis

    type Axis

    gp_Ax1

    rtype

    None* Sets the shape and axis on which hole(s) will be performed.

    param S

    type S

    TopoDS_Shape

    param Axis

    type Axis

    gp_Ax1

    rtype

    None

Perform()
  • Performs every holes of radius <Radius>. This command has the same effect as a cut operation with an infinite cylinder defined by the given axis and <Radius>.
    param Radius

    type Radius

    float

    rtype

    None* Performs evry hole of radius <Radius> located between PFrom and PTo on the given axis. If <WithControl> is set to Standard_False no control are done on the resulting shape after the operation is performed.

    param Radius

    type Radius

    float

    param PFrom

    type PFrom

    float

    param PTo

    type PTo

    float

    param WithControl

    default value is Standard_True

    type WithControl

    bool

    rtype

    None

PerformBlind()
  • Performs a blind hole of radius <Radius> and length <Length>. The length is measured from the origin of the given axis. If <WithControl> is set to Standard_False no control are done after the operation is performed.
    param Radius

    type Radius

    float

    param Length

    type Length

    float

    param WithControl

    default value is Standard_True

    type WithControl

    bool

    rtype

    None

PerformThruNext()
  • Performs the first hole of radius <Radius>, in the direction of the defined axis. First hole signify first encountered after the origin of the axis. If <WithControl> is set to Standard_False no control are done on the resulting shape after the operation is performed.
    param Radius

    type Radius

    float

    param WithControl

    default value is Standard_True

    type WithControl

    bool

    rtype

    None

PerformUntilEnd()
  • Performs evry holes of radius <Radius> located after the origin of the given axis. If <WithControl> is set to Standard_False no control are done on the resulting shape after the operation is performed.
    param Radius

    type Radius

    float

    param WithControl

    default value is Standard_True

    type WithControl

    bool

    rtype

    None

Status()
  • Returns the status after a hole is performed.
    rtype

    BRepFeat_Status

property thisown

The membership flag

class BRepFeat_MakeDPrism(*args)

Bases: OCC.Core.BRepFeat.BRepFeat_Form

  • A face Pbase is selected in the shape Sbase to serve as the basis for the draft prism. The draft will be defined by the angle Angle and Fuse offers a choice between: - removing matter with a Boolean cut using the setting 0 - adding matter with Boolean fusion using the setting 1. The sketch face Skface serves to determine the type of operation. If it is inside the basis shape, a local operation such as glueing can be performed. Initializes the draft prism class
    param Sbase

    type Sbase

    TopoDS_Shape

    param Pbase

    type Pbase

    TopoDS_Face

    param Skface

    type Skface

    TopoDS_Face

    param Angle

    type Angle

    float

    param Fuse

    type Fuse

    int

    param Modify

    type Modify

    bool

    rtype

    None:rtype: None

Add()
  • Indicates that the edge <E> will slide on the face <OnFace>. Raises ConstructionError if the face does not belong to the basis shape, or the edge to the prismed shape.
    param E

    type E

    TopoDS_Edge

    param OnFace

    type OnFace

    TopoDS_Face

    rtype

    None

BossEdges()
  • Determination of TopEdges and LatEdges. sig = 1 -> TopEdges = FirstShape of the DPrism sig = 2 -> TOpEdges = LastShape of the DPrism
    param sig

    type sig

    int

    rtype

    None

Init()
  • Initializes this algorithm for building draft prisms along surfaces. A face Pbase is selected in the basis shape Sbase to serve as the basis from the draft prism. The draft will be defined by the angle Angle and Fuse offers a choice between: - removing matter with a Boolean cut using the setting 0 - adding matter with Boolean fusion using the setting 1. The sketch face Skface serves to determine the type of operation. If it is inside the basis shape, a local operation such as glueing can be performed.
    param Sbase

    type Sbase

    TopoDS_Shape

    param Pbase

    type Pbase

    TopoDS_Face

    param Skface

    type Skface

    TopoDS_Face

    param Angle

    type Angle

    float

    param Fuse

    type Fuse

    int

    param Modify

    type Modify

    bool

    rtype

    None

LatEdges()
  • Returns the list of TopoDS Edges of the bottom of the boss.
    rtype

    TopTools_ListOfShape

Perform()
Parameters

Height

type Height

float

rtype

None:param Until:

type Until

TopoDS_Shape

rtype

None* Assigns one of the following semantics - to a height Height - to a face Until - from a face From to a height Until. Reconstructs the feature topologically according to the semantic option chosen.

param From

type From

TopoDS_Shape

param Until

type Until

TopoDS_Shape

rtype

None

PerformFromEnd()
  • Realizes a semi-infinite prism, limited by the face Funtil.
    param FUntil

    type FUntil

    TopoDS_Shape

    rtype

    None

PerformThruAll()
  • Builds an infinite prism. The infinite descendants will not be kept in the result.
    rtype

    None

PerformUntilEnd()
  • Realizes a semi-infinite prism, limited by the position of the prism base.
    rtype

    None

PerformUntilHeight()
  • Assigns both a limiting shape, Until from TopoDS_Shape, and a height, Height at which to stop generation of the prism feature.
    param Until

    type Until

    TopoDS_Shape

    param Height

    type Height

    float

    rtype

    None

TopEdges()
  • Returns the list of TopoDS Edges of the top of the boss.
    rtype

    TopTools_ListOfShape

property thisown

The membership flag

class BRepFeat_MakeLinearForm(*args)

Bases: OCC.Core.BRepFeat.BRepFeat_RibSlot

  • initializes the linear form class
    rtype

    None* contour W, a shape Sbase and a plane P are initialized to serve as the basic elements in the construction of the rib or groove. Direction and Direction1 give The vectors for defining the direction(s) in which thickness will be built up. Fuse offers a choice between: - removing matter with a Boolean cut using the setting 0 in case of the groove - adding matter with Boolean fusion using the setting 1 in case of the rib.

    param Sbase

    type Sbase

    TopoDS_Shape

    param W

    type W

    TopoDS_Wire

    param P

    type P

    Geom_Plane

    param Direction

    type Direction

    gp_Vec

    param Direction1

    type Direction1

    gp_Vec

    param Fuse

    type Fuse

    int

    param Modify

    type Modify

    bool

    rtype

    None

Add()
  • Indicates that the edge <E> will slide on the face <OnFace>. Raises ConstructionError if the face does not belong to the basis shape, or the edge to the prismed shape.
    param E

    type E

    TopoDS_Edge

    param OnFace

    type OnFace

    TopoDS_Face

    rtype

    None

Init()
  • Initializes this construction algorithm. A contour W, a shape Sbase and a plane P are initialized to serve as the basic elements in the construction of the rib or groove. The vectors for defining the direction(s) in which thickness will be built up are given by Direction and Direction1. Fuse offers a choice between: - removing matter with a Boolean cut using the setting 0 in case of the groove - adding matter with Boolean fusion using the setting 1 in case of the rib.
    param Sbase

    type Sbase

    TopoDS_Shape

    param W

    type W

    TopoDS_Wire

    param P

    type P

    Geom_Plane

    param Direction

    type Direction

    gp_Vec

    param Direction1

    type Direction1

    gp_Vec

    param Fuse

    type Fuse

    int

    param Modify

    type Modify

    bool

    rtype

    None

Perform()
  • Performs a prism from the wire to the plane along the basis shape Sbase. Reconstructs the feature topologically.
    rtype

    None

Propagate()
Parameters

L

type L

TopTools_ListOfShape

param F

type F

TopoDS_Face

param FPoint

type FPoint

gp_Pnt

param LPoint

type LPoint

gp_Pnt

param falseside

type falseside

bool

rtype

bool

property thisown

The membership flag

class BRepFeat_MakePipe(*args)

Bases: OCC.Core.BRepFeat.BRepFeat_Form

  • initializes the pipe class.
    rtype

    None* A face Pbase is selected in the shape Sbase to serve as the basis for the pipe. It will be defined by the wire Spine. Fuse offers a choice between: - removing matter with a Boolean cut using the setting 0 - adding matter with Boolean fusion using the setting 1. The sketch face Skface serves to determine the type of operation. If it is inside the basis shape, a local operation such as glueing can be performed.

    param Sbase

    type Sbase

    TopoDS_Shape

    param Pbase

    type Pbase

    TopoDS_Shape

    param Skface

    type Skface

    TopoDS_Face

    param Spine

    type Spine

    TopoDS_Wire

    param Fuse

    type Fuse

    int

    param Modify

    type Modify

    bool

    rtype

    None

Add()
  • Indicates that the edge <E> will slide on the face <OnFace>. Raises ConstructionError if the face does not belong to the basis shape, or the edge to the prismed shape.
    param E

    type E

    TopoDS_Edge

    param OnFace

    type OnFace

    TopoDS_Face

    rtype

    None

Init()
  • Initializes this algorithm for adding pipes to shapes. A face Pbase is selected in the shape Sbase to serve as the basis for the pipe. It will be defined by the wire Spine. Fuse offers a choice between: - removing matter with a Boolean cut using the setting 0 - adding matter with Boolean fusion using the setting 1. The sketch face Skface serves to determine the type of operation. If it is inside the basis shape, a local operation such as glueing can be performed.
    param Sbase

    type Sbase

    TopoDS_Shape

    param Pbase

    type Pbase

    TopoDS_Shape

    param Skface

    type Skface

    TopoDS_Face

    param Spine

    type Spine

    TopoDS_Wire

    param Fuse

    type Fuse

    int

    param Modify

    type Modify

    bool

    rtype

    None

Perform()
Return type

None:param Until: :type Until: TopoDS_Shape :rtype: None* Assigns one of the following semantics - to a face Until - from a face From to a height Until. Reconstructs the feature topologically according to the semantic option chosen. :param From: :type From: TopoDS_Shape :param Until: :type Until: TopoDS_Shape :rtype: None

property thisown

The membership flag

class BRepFeat_MakePrism(*args)

Bases: OCC.Core.BRepFeat.BRepFeat_Form

  • Builds a prism by projecting a wire along the face of a shape. Initializes the prism class.
    rtype

    None* Builds a prism by projecting a wire along the face of a shape. a face Pbase is selected in the shape Sbase to serve as the basis for the prism. The orientation of the prism will be defined by the vector Direction. Fuse offers a choice between: - removing matter with a Boolean cut using the setting 0 - adding matter with Boolean fusion using the setting 1. The sketch face Skface serves to determine the type of operation. If it is inside the basis shape, a local operation such as glueing can be performed. Exceptions Standard_ConstructionError if the face does not belong to the basis or the prism shape.

    param Sbase

    type Sbase

    TopoDS_Shape

    param Pbase

    type Pbase

    TopoDS_Shape

    param Skface

    type Skface

    TopoDS_Face

    param Direction

    type Direction

    gp_Dir

    param Fuse

    type Fuse

    int

    param Modify

    type Modify

    bool

    rtype

    None

Add()
  • Indicates that the edge <E> will slide on the face <OnFace>. Raises ConstructionError if the face does not belong to the basis shape, or the edge to the prismed shape.
    param E

    type E

    TopoDS_Edge

    param OnFace

    type OnFace

    TopoDS_Face

    rtype

    None

Init()
  • Initializes this algorithm for building prisms along surfaces. A face Pbase is selected in the shape Sbase to serve as the basis for the prism. The orientation of the prism will be defined by the vector Direction. Fuse offers a choice between: - removing matter with a Boolean cut using the setting 0 - adding matter with Boolean fusion using the setting 1. The sketch face Skface serves to determine the type of operation. If it is inside the basis shape, a local operation such as glueing can be performed.
    param Sbase

    type Sbase

    TopoDS_Shape

    param Pbase

    type Pbase

    TopoDS_Shape

    param Skface

    type Skface

    TopoDS_Face

    param Direction

    type Direction

    gp_Dir

    param Fuse

    type Fuse

    int

    param Modify

    type Modify

    bool

    rtype

    None

Perform()
Parameters

Length

type Length

float

rtype

None:param Until:

type Until

TopoDS_Shape

rtype

None* Assigns one of the following semantics - to a height Length - to a face Until - from a face From to a height Until. Reconstructs the feature topologically according to the semantic option chosen.

param From

type From

TopoDS_Shape

param Until

type Until

TopoDS_Shape

rtype

None

PerformFromEnd()
  • Realizes a semi-infinite prism, limited by the face Funtil.
    param FUntil

    type FUntil

    TopoDS_Shape

    rtype

    None

PerformThruAll()
  • Builds an infinite prism. The infinite descendants will not be kept in the result.
    rtype

    None

PerformUntilEnd()
  • Realizes a semi-infinite prism, limited by the position of the prism base. All other faces extend infinitely.
    rtype

    None

PerformUntilHeight()
  • Assigns both a limiting shape, Until from TopoDS_Shape, and a height, Length at which to stop generation of the prism feature.
    param Until

    type Until

    TopoDS_Shape

    param Length

    type Length

    float

    rtype

    None

property thisown

The membership flag

class BRepFeat_MakeRevol(*args)

Bases: OCC.Core.BRepFeat.BRepFeat_Form

  • initializes the revolved shell class.
    rtype

    None* a face Pbase is selected in the shape Sbase to serve as the basis for the revolved shell. The revolution will be defined by the axis Axis and Fuse offers a choice between: - removing matter with a Boolean cut using the setting 0 - adding matter with Boolean fusion using the setting 1. The sketch face Skface serves to determine the type of operation. If it is inside the basis shape, a local operation such as glueing can be performed.

    param Sbase

    type Sbase

    TopoDS_Shape

    param Pbase

    type Pbase

    TopoDS_Shape

    param Skface

    type Skface

    TopoDS_Face

    param Axis

    type Axis

    gp_Ax1

    param Fuse

    type Fuse

    int

    param Modify

    type Modify

    bool

    rtype

    None

Add()
  • Indicates that the edge <E> will slide on the face <OnFace>. Raises ConstructionError if the face does not belong to the basis shape, or the edge to the prismed shape.
    param E

    type E

    TopoDS_Edge

    param OnFace

    type OnFace

    TopoDS_Face

    rtype

    None

Init()
Parameters

Sbase

type Sbase

TopoDS_Shape

param Pbase

type Pbase

TopoDS_Shape

param Skface

type Skface

TopoDS_Face

param Axis

type Axis

gp_Ax1

param Fuse

type Fuse

int

param Modify

type Modify

bool

rtype

None

Perform()
Parameters

Angle

type Angle

float

rtype

None:param Until:

type Until

TopoDS_Shape

rtype

None* Reconstructs the feature topologically.

param From

type From

TopoDS_Shape

param Until

type Until

TopoDS_Shape

rtype

None

PerformThruAll()
  • Builds an infinite shell. The infinite descendants will not be kept in the result.
    rtype

    None

PerformUntilAngle()
  • Assigns both a limiting shape, Until from TopoDS_Shape, and an angle, Angle at which to stop generation of the revolved shell feature.
    param Until

    type Until

    TopoDS_Shape

    param Angle

    type Angle

    float

    rtype

    None

property thisown

The membership flag

class BRepFeat_MakeRevolutionForm(*args)

Bases: OCC.Core.BRepFeat.BRepFeat_RibSlot

  • initializes the linear form class.
    rtype

    None* a contour W, a shape Sbase and a plane P are initialized to serve as the basic elements in the construction of the rib or groove. The axis Axis of the revolved surface in the basis shape defines the feature’s axis of revolution. Height1 and Height2 may be used as limits to the construction of the feature. Fuse offers a choice between: - removing matter with a Boolean cut using the setting 0 in case of the groove - adding matter with Boolean fusion using the setting 1 in case of the rib.

    param Sbase

    type Sbase

    TopoDS_Shape

    param W

    type W

    TopoDS_Wire

    param Plane

    type Plane

    Geom_Plane

    param Axis

    type Axis

    gp_Ax1

    param Height1

    type Height1

    float

    param Height2

    type Height2

    float

    param Fuse

    type Fuse

    int

    param Sliding

    type Sliding

    bool

    rtype

    None

Add()
  • Indicates that the edge <E> will slide on the face <OnFace>. Raises ConstructionError if the face does not belong to the basis shape, or the edge to the prismed shape.
    param E

    type E

    TopoDS_Edge

    param OnFace

    type OnFace

    TopoDS_Face

    rtype

    None

Init()
  • Initializes this construction algorithm A contour W, a shape Sbase and a plane P are initialized to serve as the basic elements in the construction of the rib or groove. The axis Axis of the revolved surface in the basis shape defines the feature’s axis of revolution. Height1 and Height2 may be used as limits to the construction of the feature. Fuse offers a choice between: - removing matter with a Boolean cut using the setting 0 in case of the groove - adding matter with Boolean fusion using the setting 1 in case of the rib.
    param Sbase

    type Sbase

    TopoDS_Shape

    param W

    type W

    TopoDS_Wire

    param Plane

    type Plane

    Geom_Plane

    param Axis

    type Axis

    gp_Ax1

    param Height1

    type Height1

    float

    param Height2

    type Height2

    float

    param Fuse

    type Fuse

    int

    param Sliding

    type Sliding

    bool

    rtype

    None

Perform()
  • Performs a prism from the wire to the plane along the basis shape S. Reconstructs the feature topologically.
    rtype

    None

Propagate()
Parameters

L

type L

TopTools_ListOfShape

param F

type F

TopoDS_Face

param FPoint

type FPoint

gp_Pnt

param LPoint

type LPoint

gp_Pnt

param falseside

type falseside

bool

rtype

bool

property thisown

The membership flag

class BRepFeat_RibSlot(*args, **kwargs)

Bases: OCC.Core.BRepBuilderAPI.BRepBuilderAPI_MakeShape

static ChoiceOfFaces()
Parameters

faces

type faces

TopTools_ListOfShape

param cc

type cc

Geom_Curve

param par

type par

float

param bnd

type bnd

float

param Pln

type Pln

Geom_Plane

rtype

TopoDS_Face

CurrentStatusError()
Return type

BRepFeat_StatusError

FacesForDraft()
  • Returns a list of the limiting and glueing faces generated by the feature. These faces did not originally exist in the basis shape. The list provides the information necessary for subsequent addition of a draft to a face. It may be an empty list. If a face has tangent edges, no draft is possible, and the tangent edges must subsequently be removed if you want to add a draft to the face.
    rtype

    TopTools_ListOfShape

FirstShape()
  • Returns the list of shapes created at the bottom of the created form. It may be an empty list.
    rtype

    TopTools_ListOfShape

static IntPar()
Parameters

C

type C

Geom_Curve

param P

type P

gp_Pnt

rtype

float

LastShape()
  • Returns the list of shapes created at the top of the created form. It may be an empty list.
    rtype

    TopTools_ListOfShape

NewEdges()
  • Returns a list of the limiting and glueing edges generated by the feature. These edges did not originally exist in the basis shape. The list provides the information necessary for subsequent addition of fillets. It may be an empty list.
    rtype

    TopTools_ListOfShape

TgtEdges()
  • Returns a list of the tangent edges among the limiting and glueing edges generated by the feature. These edges did not originally exist in the basis shape and are tangent to the face against which the feature is built. The list provides the information necessary for subsequent addition of fillets. It may be an empty list. If an edge is tangent, no fillet is possible, and the edge must subsequently be removed if you want to add a fillet.
    rtype

    TopTools_ListOfShape

property thisown

The membership flag

class BRepFeat_SplitShape(*args)

Bases: OCC.Core.BRepBuilderAPI.BRepBuilderAPI_MakeShape

  • Empty constructor
    rtype

    None* Creates the process with the shape <S>.

    param S

    type S

    TopoDS_Shape

    rtype

    None

Add()
  • Add splitting edges or wires for whole initial shape withot additional specification edge->face, edge->edge This method puts edge on the corresponding faces from initial shape
    param theEdges

    type theEdges

    TopTools_SequenceOfShape

    rtype

    bool* Adds the wire <W> on the face <F>. Raises NoSuchObject if <F> does not belong to the original shape.

    param W

    type W

    TopoDS_Wire

    param F

    type F

    TopoDS_Face

    rtype

    None* Adds the edge <E> on the face <F>.

    param E

    type E

    TopoDS_Edge

    param F

    type F

    TopoDS_Face

    rtype

    None* Adds the compound <Comp> on the face <F>. The compound <Comp> must consist of edges lying on the face <F>. If edges are geometrically connected, they must be connected topologically, i.e. they must share common vertices. //! Raises NoSuchObject if <F> does not belong to the original shape.

    param Comp

    type Comp

    TopoDS_Compound

    param F

    type F

    TopoDS_Face

    rtype

    None* Adds the edge <E> on the existing edge <EOn>.

    param E

    type E

    TopoDS_Edge

    param EOn

    type EOn

    TopoDS_Edge

    rtype

    None

DirectLeft()
  • Returns the faces which are the left of the projected wires.
    rtype

    TopTools_ListOfShape

Init()
  • Initializes the process on the shape <S>.
    param S

    type S

    TopoDS_Shape

    rtype

    None

Left()
  • Returns the faces of the ‘left’ part on the shape. (It is build from DirectLeft, with the faces connected to this set, and so on…). Raises NotDone if IsDone returns <Standard_False>.
    rtype

    TopTools_ListOfShape

SetCheckInterior()
  • Set the flag of check internal intersections default value is True (to check)
    param ToCheckInterior

    type ToCheckInterior

    bool

    rtype

    None

property thisown

The membership flag

class SwigPyIterator(*args, **kwargs)

Bases: object

advance()
copy()
decr()
distance()
equal()
incr()
next()
previous()
property thisown

The membership flag

value()
class brepfeat

Bases: object

static Barycenter()
Parameters

S

type S

TopoDS_Shape

param Pt

type Pt

gp_Pnt

rtype

void

static FaceUntil()
Parameters

S

type S

TopoDS_Shape

param F

type F

TopoDS_Face

rtype

void

static IsInside()
Parameters

F1

type F1

TopoDS_Face

param F2

type F2

TopoDS_Face

rtype

bool

static ParametricBarycenter()
Parameters

S

type S

TopoDS_Shape

param C

type C

Geom_Curve

rtype

float

static ParametricMinMax()
  • Ori = True taking account the orientation
    param S

    type S

    TopoDS_Shape

    param C

    type C

    Geom_Curve

    param prmin

    type prmin

    float

    param prmax

    type prmax

    float

    param prbmin

    type prbmin

    float

    param prbmax

    type prbmax

    float

    param flag

    type flag

    bool

    param Ori

    default value is Standard_False

    type Ori

    bool

    rtype

    void

static Print()
  • Prints the Error description of the State <St> as a String on the Stream <S> and returns <S>.
    param SE

    type SE

    BRepFeat_StatusError

    param S

    type S

    Standard_OStream

    rtype

    Standard_OStream

static SampleEdges()
Parameters

S

type S

TopoDS_Shape

param Pt

type Pt

TColgp_SequenceOfPnt

rtype

void

static Tool()
Parameters

SRef

type SRef

TopoDS_Shape

param Fac

type Fac

TopoDS_Face

param Orf

type Orf

TopAbs_Orientation

rtype

TopoDS_Solid

property thisown

The membership flag